# vim: ft=spec sw=4 et tw=78
# =============================================================================
# 
# @(#) iperf.spec.in,v iperf-2_0_3(1.1.2.55) 2005/12/23 05:23:28
#
# -----------------------------------------------------------------------------
#
# Copyright (c) 2001-2005  OpenSS7 Corporation <http://www.openss7.com>
# Copyright (c) 1997-2000  Brian F. G. Bidulock <bidulock@openss7.org>
#
# All Rights Reserved.
#
# This program is free software; you can redistribute it and/or modify it under
# the terms of the GNU General Public License as published by the Free Software
# Foundation; either version 2 of the License, or (at your option) any later
# version.
#
# This program is distributed in the hope that it will be useful, but WITHOUT
# ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU General Public License along with
# this program; if not, write to the Free Software Foundation, Inc., 675 Mass
# Ave, Cambridge, MA 02139, USA.
#
# -----------------------------------------------------------------------------
#
# U.S. GOVERNMENT RESTRICTED RIGHTS.  If you are licensing this Software on
# behalf of the U.S. Government ("Government"), the following provisions apply
# to you.  If the Software is supplied by the Department of Defense ("DoD"), it
# is classified as "Commercial Computer Software" under paragraph 252.227-7014
# of the DoD Supplement to the Federal Acquisition Regulations ("DFARS") (or any
# successor regulations) and the Government is acquiring only the license rights
# granted herein (the license rights customarily provided to non-Government
# users).  If the Software is supplied to any unit or agency of the Government
# other than DoD, it is classified as "Restricted Computer Software" and the
# Government's rights in the Software are defined in paragraph 52.227-19 of the
# Federal Acquisition Regulations ("FAR") (or any successor regulations) or, in
# the cases of NASA, in paragraph 18.52.227-86 of the NASA Supplement to the FAR
# (or any successor regulations).
#
# -----------------------------------------------------------------------------
#
# Commercial licensing and support of this software is available from OpenSS7
# Corporation at a fee.  See http://www.openss7.com/
#
# -----------------------------------------------------------------------------
#
# Last Modified 2005/12/23 05:23:28 by brian
#
# =============================================================================

# default is to build kernel modules and tools
# conditional builds of binary rpms relies on the sneaky spec trick that
# rpmbuild will not build a binary rpm when it has no %files section
%global BUILD_modules 0
%global BUILD_tools   1
%global BUILD_libs    0
%global BUILD_noarch  1
%global BUILD_arch    1
%global BUILD_source  1
%global BUILD_test    0

%global epoch       0
%global base        iperf
%global title       OpenSS7 IPERF Utility
%global stitle      IPERF

%global libraries   iperf
%global tools       iperf
%global infofiles   %{name}

%{expand: %%global have_libraries   %{?libraries:1}%{!?libraries:0}}

# because we only need to build the tools binaries once for each architecture,
# but need to build the modules binaries once for each architecture and kernel
# version, we accept the --with[out] options "modules" and "tools"
#{?_without_modules: %{expand: %%global BUILD_modules 0}}
#{?_without_tools:   %{expand: %%global BUILD_tools   0}}
%{?_without_indep:   %{expand: %%global BUILD_noarch  0}}
%{?_without_arch:    %{expand: %%global BUILD_arch    0}}
%{?_without_public:  %{expand: %%global BUILD_source  0}}

#{?_with_modules:    %{expand: %%global BUILD_modules 1}}
#{?_with_tools:      %{expand: %%global BUILD_tools   1}}
%{?_with_indep:      %{expand: %%global BUILD_noarch  1}}
%{?_with_arch:       %{expand: %%global BUILD_arch    1}}
%{?_with_public:     %{expand: %%global BUILD_source  1}}

%define oldrpm %(if (rpm --version|grep 'RPM version 4' >/dev/null 2>&1) ; then echo 0 ; else echo 1; fi)
%define newrpm %(if (rpm --version|grep 'RPM version 4' >/dev/null 2>&1) ; then echo 1 ; else echo 0; fi)

%if %{BUILD_arch}
%global BUILD_source  0
%endif

%if %{BUILD_tools}
%else
%global BUILD_libs    0
%global BUILD_source  0
%endif

%if %{BUILD_tools}
%global FILES_libs          1
%global FILES_nolibs        1
%global FILES_tools         1
%global FILES_test          %{BUILD_test}
%global FILES_doc           1
%global FILES_doclibs       1
%global FILES_source        %{BUILD_source}
%else
%global FILES_libs          0
%global FILES_nolibs        0
%global FILES_tools         0
%global FILES_test          0
%global FILES_doc           0
%global FILES_doclibs       0
%global FILES_source        0
%endif

%if %{BUILD_arch}
%else
%global FILES_modules       0
%global FILES_ko_modules    0
%global FILES_libs          0
%global FILES_nolibs        0
%global FILES_tools         0
%endif

%if %{BUILD_noarch}
%else
%global FILES_test          0
%global FILES_doc           0
%global FILES_doclibs       0
%global FILES_source        0
%endif

%if %{BUILD_libs}
%global FILES_nolibs        0
%global FILES_doc           0
%else
%global FILES_libs          0
%global FILES_doclibs       0
%endif

# we have some more options that control configure for the build
%{?disturl:%{!?url:%{expand: %%global url %{disturl}}}}
%{?extrarelease:  %{expand: %%global fullrelease 1%%{extrarelease}}}
%{!?extrarelease: %{expand: %%global fullrelease 1}}

# a macro to [build] require one package of the same version as another (possibly virtual) package
# use the arguments [Build]Requires: package1 [>]= package2
%define requires_prov() %(LANG_ALL="C" rpm -q --provides %4 --qf "%1 %2 %3 %{EPOCH}:%{VERSION}-%{RELEASE}\\n" | tail -1 | sed -e 's|.*is not.*$|%1 %2|')
%define version_of_or() %(LANG_ALL="C" rpm -q --provides %1 --qf "%{EPOCH}:%{VERSION}-%{RELEASE}\\n" | tail -1 | sed -e 's|.*is not.*$|%2|')

# doesn't work well with this spec file
%define _unpackaged_files_terminate_build 0

Summary:        %{title} for OpenSS7 SCTP
Name:           iperf
Epoch:          0
Version:        2.0.3
Release:        1
License:        BSD/GPL
Group:          System Environment/Base
%{?url:URL:            %{url}}
%{?_xpm_icon:Icon:           %{_xpm_icon}}
%{?_gif_icon:Icon:           %{_gif_icon}}
ExclusiveArch:  %{ix86} k6 x86_64 s390 s390x ppc ppciseries ppcpseries ppc64 arm armv4l sh mips mipsel noarch
ExclusiveOs:    Linux
#Source:         %{name}-%{version}.tar.bz2
Source:         http://www.openss7.org/%{name}-%{version}.tar.bz2
Obsoletes:      %{base}
Obsoletes:      %{name}
Obsoletes:      iperf
%{!?buildroot:BuildRoot:      %{_tmppath}/%{name}-%{version}-%{fullrelease}-root}
Provides:       iperf
#BuildRequires:  sctp-devel >= 0.2.20

%define newgcc %(if test `gcc -v 2>&1 | grep 'gcc version' | sed -e 's|gcc version ||;s| .*$||'` != '2.95.3' ; then echo 1 ; else echo 0 ; fi)

%ifarch s390 s390x
BuildRequires:  gcc >= 2.95.3
%else
%ifarch %all_ppc
BuildRequires:  gcc >= 2.96-75
%else
%if %newgcc
BuildRequires:  gcc >= 2.96-98
%else
BuildRequires:  gcc = 2.95.3
%endif
%endif
%endif
%if %newgcc
BuildRequires:  gcc >= 2.96
%else
BuildRequires:  gcc = 2.95.3
%endif

# these are some needs of the configure script
# to manipulate manual pages:
BuildRequires:  /usr/bin/groff
BuildRequires:  /usr/bin/soelim
BuildRequires:  /usr/bin/refer
BuildRequires:  /usr/bin/tbl
BuildRequires:  /usr/bin/pic
BuildRequires:  /usr/bin/gzip

# to build documentation
#BuildRequires: transfig >= 3.2
#BuildRequires: ImageMagick
#BuildRequires: tetex >= 1.0
#BuildRequires: ghostscript >= 6.51
# to install documentation
##BuildRequires: texinfo >= 4.0
# find the rest automagically
Autoreq:        true

# ---------------------------------------------------------------------------
%description
The %{name} package includes iperf test programs optioned and compiled for use
with the OpenSS7 Linux Native SCTP sockets interface.  The purpose of this
package is to be able to perform comparison tests against TCP, UDP and SCTP.
This distribution is currently only applicable to Linux releases and was
targetted at ix86 and ppc architecutres, but should build and install for
other architectures as well.

%prep
# ---------------------------------------------------------------------------

%setup -q -n %{name}-%{version}

%build
# ---------------------------------------------------------------------------

preferred_cflags="%{optflags}"

%ifarch %ix86
preferred_cflags="$preferred_cflags -D__USE_STRING_INLINES -fstrict-aliasing"
%endif

%ifarch sparc
preferred_cflags="$preferred_cflags -fcall-used-g7"
%endif

%ifarch sparcv9
preferred_cflags="$preferred_cflags -fcall-used-g7"
%endif

%ifarch sparc64
preferred_cflags="$preferred_cflags -mvis -fcall-used-g7"
%endif

%ifnarch ia64 s390 s390x ppc ppciseries ppc64
if test "`gcc --version`" != '2.95.3' ; then
preferred_cflags="$preferred_cflags -freorder-blocks"
fi
%endif

%define cache_file %{_builddir}/%{_target_platform}-config.cache
%define csite_file %{_builddir}/%{_target_platform}-config.site

%define enable()  %(echo "%1" | sed -e 's|^--with-|--enable-|')
%define disable() %(echo "%1" | sed -e 's|^--without-|--disable-|')

./configure \
    CC="${CC}" \
    CFLAGS="${CFLAGS:-$preferred_cflags}" \
    LDFLAGS="${LDFLAGS}" \
    CPPFLAGS="${CPPFLAGS}" \
    CPP="${CPP}" \
    CXX="${CXX:-$CC}" \
    CXXFLAGS="${CXXFLAGS:-$preferred_cflags}" \
    CXXCPP="${CXXCPP:-$CPP}" \
    CONFIG_SITE="%{csite_file}" \
    --cache-file="%{cache_file}" \
%ifnarch noarch
    --host=%{_target_platform} \
%endif
    --prefix=%{_prefix} \
    --exec-prefix=%{_exec_prefix} \
    --bindir=%{_bindir} \
    --sbindir=%{_sbindir} \
    --sysconfdir=%{_sysconfdir} \
    --datadir=%{_datadir} \
    --includedir=%{_includedir} \
    --libdir=%{_libdir} \
    --libexecdir=%{_libexecdir} \
    --localstatedir=%{_localstatedir} \
    --sharedstatedir=%{_sharedstatedir} \
    --mandir=%{_mandir} \
    --infodir=%{_infodir} \
    --disable-maintainer-mode \
    --disable-dependency-tracking \
    --with-gnu-ld \
    %{?_with_arch:               '%enable %_with_arch'} \
    %{?_without_arch:            '%disable %_without_arch'} \
    %{?_with_indep:              '%enable %_with_indep'} \
    %{?_without_indep:           '%disable %_without_indep'} \
    %{?_with_checks:             '%enable %_with_checks'} \
    %{?_without_checks:          '%disable %_without_checks'} \
    %{?_with_autotest:           '%enable %_with_autotest'} \
    %{?_without_autotest:        '%disable %_without_autotest'} \
    %{?_with_cooked_manpages:    '%_with_cooked_manpages'} \
    %{?_without_cooked_manpages: '%_without_cooked_manpages'} \
    %{?_with_public:             '%enable %_with_public'} \
    %{?_without_public:          '%disable %_without_public'} \
    || { rm -f %{cache_file} ; exit 1 ; }

make
make check

%install
# ---------------------------------------------------------------------------

# in case it was not cleaned
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# if we are going to create debug packages, we need to install unstripped
# binaries; otherwise use libtoolized install-strip to strip binaries, modules,
# shared and static libraries.
make DESTDIR="%{buildroot}" DOCDIR="%{_docdir}" \
    %{!?_enable_debug_packages: install-strip} \
    %{?_enable_debug_packages: install}

# copy out our devices list
# cp -pf %{mybuilddir}/%{makedev} .

# get the installed info directory out of the build root
[ -e "%{buildroot}/%{_infodir}/dir" ] && rm -f "%{buildroot}/%{_infodir}/dir"

function package_source() {
# remove include2 symbolic link
    rm -fr include2
# punch rpm release to Custom
    echo '.Custom.1'  > .rpmextra
# create configured source directory for source package
    mkdir -p %{buildroot}%{_usrsrc}/%{name}-%{version}-%{fullrelease}
# tar and move the sources for source release
    tar cf - . | tar xf - -C %{buildroot}%{_usrsrc}/%{name}-%{version}-%{fullrelease}
# clean out binaries and auxilliary files
    ( cd %{buildroot}%{_usrsrc}/%{name}-%{version}-%{fullrelease} ; make mostlyclean )
# create symbolic link
    ln -sf %{name}-%{version}-%{fullrelease} %{buildroot}%{_usrsrc}/%{name}
}

%if %{BUILD_source}
package_source
%endif

# stupid mandrake spec-helper will compress our macros files otherwise
#export EXCLUDE_FROM_COMPRESS="%{base}.refs %{base}.macros"

# stupid suse check compresses everything (including our macro files)
#{?suse_check: %{expand: %%define suse_check echo "SuSE Check skipped"}}

%clean
# ---------------------------------------------------------------------------

[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

# ===========================================================================
%package openss7
Summary:        %{title} for OpenSS7 SCTP
Group:          System Environment/Base
Prefix:         %{_bindir}
Autoreq:        true
Release:        %{fullrelease}

# ---------------------------------------------------------------------------
%description openss7
The %{name} package includes iperf test programs optioned and compiled for use
with OpenSS7 Linux Native SCTP sockets interface as well as OpenSS7 STREAMS
socket library and socket drivers.  The purpose of this package is to be able to
perform comparison tests against TCP and SCTP.  This distribution is currently
only applicable to Linux release and was targetted at ix86 and ppc
architectures, but should build and install for other architectures as well.

%files openss7
# ---------------------------------------------------------------------------
%defattr(-,root,root)
%{_bindir}/*

# ===========================================================================
%package lib

Summary:        %{title} run-time libraries.
Group:          System Environment/Libraries
Prefix:         %{_libdir}
Prefix:         %{_datadir}/locale
Obsoletes:      %{name}-libs
Prereq:         /sbin/ldconfig
Autoreq:        true
%{?_xpm:Icon: %_xpm}
%{?_gif:Icon: %_gif}
Release:        %{fullrelease}

# ---------------------------------------------------------------------------
%description lib
The %{name}-lib package contains the run-time shared libraries necessary to
run applications programs developed for %{title}.

%if %{have_libraries}
%pre lib
# ---------------------------------------------------------------------------
if [ $1 = 1 ] ; then : # fresh install
    # See if there are any libraries hanging around from a non-rpm install.  If there are, just
    # delete them.
    libs="%{libraries}" ; for lib in $libs ; do
        old_libs="`( /sbin/ldconfig -p | grep '\<lib'$lib'\>' | cut '-d ' -f4 ) 2>/dev/null`"
        if [ -n "$old_libs" ] ; then
            # Old libraries hanging around, delete them.
            echo "warning: Deleting old non-rpm libraries $old_libs" >&2
            rm -f $old_libs
        fi
    done
fi
%endif

%post lib
# ---------------------------------------------------------------------------
if [ $1 = 1 -o $1 = 2 ] ; then : # fresh install or upgrade
    # After a fresh install or upgrade, do a load config.
    /sbin/ldconfig
fi

%postun lib
# ---------------------------------------------------------------------------
if [ $1 = 0 -o $1 = 1 ] ; then
    # Whether complete removal or upgrade, do a load config.
    /sbin/ldconfig
fi

%if %{FILES_libs}
%files lib
# ---------------------------------------------------------------------------
%defattr(-,root,root)
%{_libdir}/*.so*
%{_libdir}/*.la
%{_datadir}/locale/*
%endif

# ===========================================================================
%package devel

Summary:        %{title} headers, libs and docs.
Group:          Development/System
Prefix:         %{_libdir}
#Prefix:         %{_includedir}/%{name}
Autoreq:        true
%{?_xpm:Icon: %_xpm}
%{?_gif:Icon: %_gif}
Release:        %{fullrelease}

# ---------------------------------------------------------------------------
%description devel
The %{name}-devel package contains library archives for static compilation,
and headers files to develop %{title} applications.  This
also includes the header files and static libraries required to compile
%{title} applications programs.  In addition it contains all of the
manual pages necessary for developing %{title} application programs.

%if %{FILES_libs}
%files devel
# ---------------------------------------------------------------------------
%defattr(-,root,root)
%{_libdir}/*.a
#dir %{_includedir}/%{name}
#{includedir}/%{name}/*.h
#{includedir}/%{name}/sys/*
%endif

%if %{FILES_nolibs}
%files devel
# ---------------------------------------------------------------------------
%defattr(-,root,root)
#dir %{_includedir}/%{name}
#{includedir}/%{name}/*.h
#{includedir}/%{name}/sys/*
%endif

# ===========================================================================
%package util

Summary:        %{title} admin utilities.
Group:          Development/System
#Prefix:         %{_bindir}
#Prefix:         %{_sbindir}
Prefix:         %{_libexecdir}
#Requires:       %{name}-lib = %{epoch}:%{version}-%{fullrelease}
Obsoletes:      %{name}-utils
Autoreq:        true
%{?_xpm:Icon: %_xpm}
%{?_gif:Icon: %_gif}
Release:        %{fullrelease}

# ---------------------------------------------------------------------------
%description util
The %{name}-util package provides administrative and configuration test
utilities and commands associated with the %{title} package.

%pre util
# ---------------------------------------------------------------------------
if [ $1 = 1 ]; then : # fresh install
    # This is a fresh install, look for old non-rpm tools.
    tools="%{tools}" ; for tool in $tools ; do
        location="`which $tool 2>/dev/null`"
        while [ -n "$location" -a -x "$location" ] ; do
            eval "rm -f $location"
            location="`which $tool 2>/dev/null`"
            while [ -n "$location" -a -x "$location" ] ; do
                eval "rm -f $location"
                location="`which $tool 2>/dev/null`"
            done
        done
    done
fi

%if %{FILES_tools}
%files util
# ---------------------------------------------------------------------------
%defattr(-,root,root)
#{_bindir}/*
#{_sbindir}/*
#{_libexecdir}/%{name}/*test*
#{_libexecdir}/%{name}/*tst
%endif

# ===========================================================================
%package test

Summary:        %{title} test utilities.
Group:          System Environment/Base
Prefix:         %{_libexecdir}/%{name}
Requires:       %{name}-util = %{epoch}:%{version}-%{fullrelease}
Obsoletes:      %{name}-tests
Autoreq:        true
%{?_xpm:Icon: %_xpm}
%{?_gif:Icon: %_gif}
Release:        %{fullrelease}

# ---------------------------------------------------------------------------
%description test
The %{name}-test package provides testsuites used for troubleshooting
the %{title} package.

%if %{FILES_test}
%files test
# ---------------------------------------------------------------------------
%defattr(-,root,root)
%{_libexecdir}/%{name}/atlocal
%{_libexecdir}/%{name}/testsuite*
%endif

# ===========================================================================
%package doc

Summary:        %{title} manpages, manuals and docs.
Group:          Documentation
Prefix:         %{_docdir}
Prefix:         %{_infodir}
Prefix:         %{_mandir}
Conflicts:      texinfo < 3.11
Obsoletes:      %{name}-docs
#Prereq:         /sbin/install-info
Autoreq:        true
%{?_xpm:Icon: %_xpm}
%{?_gif:Icon: %_gif}
Release:        %{fullrelease}

# ---------------------------------------------------------------------------
%description doc
The %{name}-doc package contains html documentation for the development of
%{title} applications, modules and drivers.

%post doc
# ---------------------------------------------------------------------------
if [ $1 = 1 ] ; then : # fresh install
    if [ -x /sbin/install-info ] ; then
        # Older rpm versions do not compress info files.
        for n in %{infofiles} ; do
            if [ -f %{_infodir}/$n.info ] ; then
                /sbin/install-info --info-dir=%{_infodir} %{_infodir}/$n.info
            elif [ -f %{_infodir}/$n.info.gz ] ; then
                /sbin/install-info --info-dir=%{_infodir} %{_infodir}/$n.info.gz
            elif [ -f %{_infodir}/$n.info.bz2 ] ; then
                /sbin/install-info --info-dir=%{_infodir} %{_infodir}/$n.info.bz2
            fi
        done
    fi
    if [ -x /usr/sbin/makewhatis ] ; then
        LANGUAGE= LANG= /usr/sbin/makewhatis -v -u %{_mandir} 2>&1 || :
    fi
    [ ! -f %{_mandir}/%{base}.refs.gz    ] || gunzip  %{_mandir}/%{base}.refs.gz
    [ ! -f %{_mandir}/%{base}.refs.bz2   ] || bunzip2 %{_mandir}/%{base}.refs.bz2
    [ ! -f %{_mandir}/%{base}.macros.gz  ] || gunzip  %{_mandir}/%{base}.macros.gz
    [ ! -f %{_mandir}/%{base}.macros.bz2 ] || bunzip2 %{_mandir}/%{base}.macros.bz2
fi

%preun doc
# ---------------------------------------------------------------------------
if [ $1 = 0 -o $1 = 1 ] ; then : # final removal or upgrade
    if [ -x /sbin/install-info ] ; then
        # Older rpm versions do not compress info files.
        for n in %{infofiles} ; do
            if [ -f %{_infodir}/$n.info ] ; then
                /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/$n.info
            elif [ -f %{_infodir}/$n.info.gz ] ; then
                /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/$n.info.gz
            elif [ -f %{_infodir}/$n.info.bz2 ] ; then
                /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/$n.info.bz2
            fi
        done
    fi
    rm -f -- %{_mandir}/%{base}.refs
    rm -f -- %{_mandir}/%{base}.macros
fi

%postun doc
# ---------------------------------------------------------------------------
if [ $1 = 0 -o $1 = 1 ] ; then : # final removal or upgrade
    if [ -x /usr/sbin/makewhatis ] ; then
        LANGUAGE= LANG= /usr/sbin/makewhatis -v -u %{_mandir} 2>&1 || :
    fi
fi

%if %{FILES_doclibs}
%files doc
# ---------------------------------------------------------------------------
%defattr(-,root,root)
%doc ABOUT-NLS
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS
%doc LICENSE
%doc LSM %{name}-%{version}.lsm
%doc README-make
#%{_infodir}/*
%{_mandir}/%{base}.refs*
%{_mandir}/%{base}.macros*
%{_mandir}/man*/*
%endif

%if %{FILES_doc}
%files doc
# ---------------------------------------------------------------------------
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING INSTALL NEWS README THANKS
%doc LICENSE
%doc LSM %{name}-%{version}.lsm
#%{_infodir}/*
%{_mandir}/%{base}.refs*
%{_mandir}/%{base}.macros*
%{_mandir}/man*/*
%endif

# ===========================================================================
%package source

Summary:        %{title} source package.
Group:          Development/System
Prefix:         %{_usrsrc}
Autoreq:        true
%{?_xpm:Icon: %_xpm}
%{?_gif:Icon: %_gif}
Release:        %{fullrelease}

# ---------------------------------------------------------------------------
%description source
The %{name}-source package contains the source code necessary for building the
%{name} release.  It includes the autoconf configuration utilities necessary
to create and distribute this rpm.

%if %{FILES_source}
%files source
# ---------------------------------------------------------------------------
%defattr(-,root,root)
%dir %{_usrsrc}/%{name}-%{version}-%{fullrelease}
%{_usrsrc}/%{name}
%{_usrsrc}/%{name}-%{version}-%{fullrelease}/*
%{_usrsrc}/%{name}-%{version}-%{fullrelease}/.[^.]*
%endif

# ===========================================================================
%changelog
# ---------------------------------------------------------------------------
# iperf.spec.in,v
# Revision 1.1.2.55  2005/12/23 05:23:28  brian
# - corrections
#

* Thu Dec 22 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.54  2005/12/22 15:16:17  brian
- different approach to compressed marco files

* Thu Dec 22 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.53  2005/12/22 07:26:42  brian
- make command location a little more portable

* Wed Dec 21 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.52  2005/12/21 10:31:23  brian
- cleaning up dependencies and conflicts

* Wed Dec 21 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.51  2005/12/21 06:07:11  brian
- cleaned up versioning for RPM builds

* Mon Dec 19 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.50  2005/12/19 12:43:08  brian
- locking down for release

* Sat Dec 17 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.49  2005/12/17 08:39:19  brian
- modifications for master build

* Fri Dec 16 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.48  2005/12/16 12:13:50  brian
- build does not require texinfo

* Fri Dec 16 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.47  2005/12/16 09:23:59  brian
- updated to support SuSE/UL and LSB init scripts

* Wed Dec 14 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.46  2005/12/14 11:40:50  brian
- quiet rpm -ihv output

* Sun Nov  6 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.45  2005/11/06 10:59:04  brian
- updates

* Wed Sep 14 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.44  2005/09/14 23:40:57  brian
- bumped release numbers and change logs

* Thu Jul  7 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.43  2005/07/07 20:28:40  brian
- changes for release

* Sat Jun 25 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.42  2005/06/25 07:01:47  brian
- more efficient dependency checking

* Fri Jun 24 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.41  2005/06/24 13:40:40  brian
- some install/erase script corrections

* Tue May 31 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.40  2005/05/31 05:10:39  brian
- correct case on modutildir filename

* Mon May 30 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.39  2005/05/30 14:25:49  brian
- packaged standalong test suites

* Sun May 29 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.38  2005/05/29 11:28:29  brian
- better approach to mostlyclean

* Sun May 29 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.37  2005/05/29 07:49:24  brian
- updates and corrections for SuSE 9.2 build

* Thu May 26 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.36  2005/05/26 09:59:33  brian
- a few changes for WBEL3 release build

* Thu May 19 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.35  2005/05/19 20:48:12  brian
- suppress shell trace in loops

* Sat May 14 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.34  2005/05/14 08:29:49  brian
- copyright header correction

* Sat Apr  9 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.33  2005/04/09 09:34:52  brian
- update spec files

* Tue Apr  5 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.32  2005/04/05 01:57:04  brian
- more robust sed

* Sat Apr  2 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.31  2005/04/02 16:25:18  brian
- more adjustments to arch indep build

* Tue Mar 29 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.30  2005/03/29 17:16:25  brian
- Updated lsms and added LSM to distribution.

* Mon Mar 28 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.29  2005/03/28 07:42:28  brian
- better debian build

* Tue Mar 22 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.28  2005/03/22 19:44:13  brian
- do not need symbolic link in prep anymore

* Thu Mar 17 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.27  2005/03/17 11:22:33  brian
- Updated change logs.

* Wed Mar 16 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.26  2005/03/16 11:58:18  brian
- enhance devfs support

* Wed Mar 16 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.25  2005/03/16 10:48:34  brian
- straighten out devfs and get source urls correct

* Tue Mar 15 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.24  2005/03/15 10:41:49  brian
- Updated changelog and a few inconsistencies.

* Wed Mar  9 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.23  2005/03/09 08:00:23  brian
- Updated revision numbering.

* Wed Mar  9 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.22  2005/03/09 03:40:47  brian
- Major revision number changes.

* Mon Mar  7 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.21  2005/03/07 06:09:26  brian
- More spec changes for 2.6.

* Fri Feb 25 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.20  2005/02/25 10:56:40  brian
- Don't specify build architecture.

* Tue Feb 22 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.19  2005/02/22 08:32:03  brian
- spec changes for updated makefile fragments

* Sat Feb 19 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.18  2005/02/19 12:06:51  brian
- rpm-epoch to pkg-epoch, rpm-release to pkg-release
- proper quotation of configure options

* Tue Feb 15 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.17  2005/02/15 14:15:15  brian
- Remove link before linking.

* Mon Feb  7 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.16  2005/02/07 22:22:57  brian
- Updated changelog.

* Sun Feb  6 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.15  2005/02/06 06:42:29  brian
- no manual for iperf yet.

* Thu Feb  3 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.14  2005/02/03 12:34:53  brian
- Spec file grand rework.

* Wed Feb  2 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.13  2005/02/02 10:43:01  brian
- Build in builddir again.

* Sat Jan 29 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.12  2005/01/29 11:22:39  brian
- Have master build working well.

* Fri Jan 21 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.11  2005/01/21 08:39:29  brian
- Work around mandrake spec-helper for uncooked manpages.

* Thu Jan 20 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.10  2005/01/20 00:51:51  brian
- Go back to quick no dependencies compile.

* Wed Jan 19 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.9  2005/01/19 07:38:17  brian
- Added checks and autotest options to configure.

* Tue Jan 18 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.8  2005/01/18 13:31:07  brian
- Support multiple builds on same NFS mount.

* Tue Jan 18 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.7  2005/01/18 10:42:24  brian
- Rationalize to new separated build approach.

* Thu Jan 13 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.6  2005/01/13 12:18:01  brian
- Exit when configure fails
- update logs and copyright dates

Mon Jan 10 2005 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.5  2005/01/10 18:59:10  brian
- mandrake places libexec files in /usr/lib, correct globbing
- updated change logs

Wed Dec 29 2004 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.4  2004/12/29 21:31:50  brian
- Straighten out cache and site files.

Wed Dec 29 2004 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.3  2004/12/29 20:45:08  brian
- Build dependencies are not necessary.

Wed Dec 29 2004 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.2  2004/12/29 19:58:24  brian
- Added copyright headers.

Tue Dec 28 2004 Brian Bidulock <bidulock@openss7.org>
- Revision 1.1.2.1  2004/12/28 03:48:26  brian
- First stab at rpm release.

# vim: ft=spec sw=4 et
